> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/orders/get-shipment-logs-by-order-id-and-shipment-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Shipment Logs by Order ID and Shipment ID GET https://sandbox-api.shipbob.com/2026-07/order/{orderId}/shipment/{shipmentId}/logs Retrieves operational logs for a specific shipment by shipment ID, providing a detailed record of all events and status changes that have occurred. Reference: https://developer-stage.shipbob.dev/api/orders/get-shipment-logs-by-order-id-and-shipment-id ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Path parameters - `orderId` (integer, required) — The order id to get the shipment for - `shipmentId` (integer, required) — The shipment id to get ## Response ### 200 Success - `list of Orders.ShipmentLogViewModel` ## Errors ### 400 Bad Request Error Bad Request - `map from string to list of string` ### 401 Unauthorized Error No access right at this time - `any` ### 403 Forbidden Error No access - `any` ### 404 Not Found Error Not Found - `any` ## Types ### Orders.ShipmentLogViewModel - `log_type_id` (integer, optional) — Log type id of the shipment - `log_type_name` (string, optional, nullable) — Name of the log type - `log_type_text` (string, optional, nullable) — Summary of log type meaning - `metadata` (map from string to string, optional, nullable) — Specifics data for the event - `timestamp` (datetime, optional) — Timestamp of event ## Examples **Response** ```json [ { "log_type_id": 0, "log_type_name": "string", "log_type_text": "string", "metadata": { "property1": "string", "property2": "string" }, "timestamp": "2019-08-24T14:15:22+00:00" } ] ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/order/1/shipment/1/logs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```